## freenet.support.CPUInformation
Class CPUID.CPUIDCPUInfo

    java.lang.Object
      freenet.support.CPUInformation.CPUID.CPUIDCPUInfo

Direct Known Subclasses:
  CPUID.AMDInfoImpl, CPUID.IntelInfoImpl, CPUID.VIAC3Impl

Enclosing class:
  CPUID

    protected abstract static class CPUID.CPUIDCPUInfo

extends java.lang.Object

Constructor Summary
`protected` `CPUID.CPUIDCPUInfo()`

Method Summary
`java.lang.String` `getVendor()`
`boolean` `hasMMX()`
`boolean` `hasSSE()`
`boolean` `hasSSE2()`
`boolean` `IsC3Compatible()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CPUID.CPUIDCPUInfo

    protected CPUID.CPUIDCPUInfo()

Method Detail

### getVendor

    public java.lang.String getVendor()

### hasMMX

    public boolean hasMMX()

### hasSSE

    public boolean hasSSE()

### hasSSE2

    public boolean hasSSE2()

### IsC3Compatible

    public boolean IsC3Compatible()